MACHINEOVERRIDES =. "qemuarm:"

require ${COREBASE}/meta/conf/machine/qemuarm.conf

MACHINE_FEATURES += "uefi-secureboot uefi-https"

KMACHINE = "qemuarm"

PREFERRED_PROVIDER_virtual/kernel = 'linux-dummy'

UBOOT_MACHINE = "qemu_arm_defconfig"

IMAGE_FSTYPES = " wic.gz"
WKS_FILE = "ts-qemuarm64.wks.in"
WKS_FILE_DEPENDS = "trusted-firmware-a"
IMAGE_BOOT_FILES = "flash.bin u-boot.bin"
EFI_PROVIDER = ""
